Name: rhsc-log-collector
Version: 2.0
Release: 1%{?dist}
Source0: rhsc-log-collector-%{version}.tar.gz
License: ASL 2.0
Summary: Log Collector for oVirt Engine
Group: Virtualization/Management
URL: http://www.ovirt.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch
BuildRequires: python-devel
Requires: python-lxml
Requires: ovirt-engine-sdk
Requires: sos

%description
Log Collector tool for oVirt Engine
%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}/*
make PREFIX=%{buildroot}/ install

%files
%{_datadir}/ovirt-engine/log-collector
%{python_sitelib}/sos/plugins/engine.py*
%{python_sitelib}/sos/plugins/jboss.py*
%{python_sitelib}/sos/plugins/postgresql.py*
%{_bindir}/engine-log-collector
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%doc  %{_mandir}/man8/engine-log-collector.8.gz
%doc AUTHORS
%doc LICENSE

%changelog
* Thu Mar 29 2012 Keith Robertson <kroberts@redhat.com> - 1.0.0-0
- Initial build
